Skip to main content
GET
/
api
/
client
/
v2
/
prospects
/
find-by-linkedin-url
Find Prospect By LinkedIn URL
curl --request GET \
  --url https://prod-nginx-v2.goextrovert.com/webgateway/api/client/v2/prospects/find-by-linkedin-url \
  --header 'X-API-Key: <api-key>'
{
  "status": "success",
  "data": {
    "exists": true,
    "prospects": [
      {
        "id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
        "updatedAt": "2025-06-30T14:02:07.456Z",
        "createdAt": "2025-06-30T14:02:07.456Z",
        "lastPostsFetchStatus": "<string>",
        "isDeleted": true,
        "isImportant": true,
        "type": "<string>",
        "linkedInProfile": {
          "id": "<string>",
          "updatedAt": "2025-06-30T14:02:07.456Z",
          "createdAt": "2025-06-30T14:02:07.456Z",
          "name": "<string>",
          "headline": "<string>",
          "linkedInUrl": "<string>",
          "avatarUrl": "<string>"
        },
        "list": {
          "id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
          "name": "<string>",
          "description": "<string>"
        },
        "lastNewPostsObtainFinishDate": "2025-06-30T14:02:07.456Z",
        "parentTargetUser": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>",
          "linkedInProfile": {
            "id": "<string>",
            "updatedAt": "2025-06-30T14:02:07.456Z",
            "createdAt": "2025-06-30T14:02:07.456Z",
            "name": "<string>",
            "headline": "<string>",
            "linkedInUrl": "<string>",
            "avatarUrl": "<string>"
          }
        },
        "statistics": {
          "totalPostsCount": 123,
          "answeredPostsCount": 123,
          "pendingPostsAnswersCount": 123,
          "postsLikesCount": 123,
          "weeklyPostFrequency": 123,
          "indirectPostsLikesCount": 123,
          "indirectAnsweredPostsCount": 123,
          "indirectPendingResponseCommentsCount": 123,
          "lastNewSuccessPostsTotalCount": 123,
          "totalIndirectPostActivitiesCount": 123,
          "weeklyIndirectPostActivityFrequency": 123,
          "totalAnsweredPostsCount": 123,
          "oldestPostDate": "2025-06-30T14:02:07.456Z",
          "newestPostDate": "2025-06-30T14:02:07.456Z",
          "oldestPostAnswerDate": "2025-06-30T14:02:07.456Z",
          "newestPostAnswerDate": "2025-06-30T14:02:07.456Z",
          "lastNewSuccessPostsObtainFinishDate": "2025-06-30T14:02:07.456Z",
          "indirectOldestResponseCommentDate": "2025-06-30T14:02:07.456Z",
          "indirectNewestResponseCommentDate": "2025-06-30T14:02:07.456Z",
          "newestPostReactionDate": "2025-06-30T14:02:07.456Z",
          "totalOldestResponseCommentDate": "2025-06-30T14:02:07.456Z",
          "totalNewestResponseCommentDate": "2025-06-30T14:02:07.456Z"
        },
        "campaign": {
          "id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
          "name": "<string>",
          "description": "<string>"
        },
        "sharedBy": {
          "id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
          "name": "<string>",
          "description": "<string>"
        },
        "user": {
          "id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
          "name": "<string>",
          "description": "<string>"
        },
        "userConnection": {
          "id": "<string>",
          "updatedAt": "2025-06-30T14:02:07.456Z",
          "createdAt": "2025-06-30T14:02:07.456Z",
          "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "prospectLinkedInProfileId": "<string>",
          "status": "<string>",
          "wasConnectionRequestSuccessfulAttemptMade": true,
          "connectedDate": "2025-06-30T14:02:07.456Z",
          "connectionRequestSuccessfulAttemptMadeDate": "2025-06-30T14:02:07.456Z",
          "latestDmHistoryMessageDate": "2025-06-30T14:02:07.456Z"
        }
      }
    ]
  },
  "message": "Operation completed successfully"
}

Authorizations

X-API-Key
string
header
required

API Key for authentication

Query Parameters

url
string
required

LinkedIn profile URL to search for.

Response

status
enum<string>
required

Response status

Available options:
success
data
object
required

Search result for the LinkedIn profile URL

message
string
required

Success message

Example:

"Operation completed successfully"